Package python-nbconvert

This package is released with dual support for Python 2 and Python 3. To move things forward, you can start making dependent packages use the Python 3 version.


See python-nbconvert in the Fedora Pagure, or go directly to the corresponding spec file.

Fedora

A package that supports Python 3 is in Rawhide.

RPMs
  • python2-nbconvert-5.3.1-7.fc29
    • × /usr/bin/python2
    • × python(abi) = 2.7
  • python3-nbconvert-5.3.1-7.fc29
    • /usr/bin/python3
    • python(abi) = 3.6
Links

Dependent packages

Run time

Build time

Dependency Tree

Run time

Build time

Dependencies

Run time

1 Python 3 only; 13 Dual support; 1 Dropped
Package Upstream Fedora
  python-bleach  
  python-defusedxml  
  python-entrypoints  
  python-jinja2  
  python-jupyter-client  
  python-jupyter-core  
  python-mistune  
  python-nbformat  
  python-pandocfilters  
  python-pygments   bug (CLOSED ERRATA)
  python-setuptools  
  python-testpath  
  python-traitlets  
  python3   🗹 bug (NEW)
  python2   X

Build time

3 Python 3 only; 4 Dual support; 1 Dropped
Package Upstream Fedora
  python-pandocfilters  
  python-setuptools  
  python-sphinx  
  python-testpath  
  ipython   🗹
  python-nbsphinx   🗹
  python3   🗹 bug (NEW)
  python2   X